Bug 253042 - devel/serd: Update to 0.30.10
Summary: devel/serd: Update to 0.30.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/drobilla/serd/blob...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-27 11:46 UTC by Goran Mekić
Modified: 2021-01-29 06:00 UTC (History)
1 user (show)

See Also:


Attachments
serd.diff (3.39 KB, patch)
2021-01-27 11:46 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2021-01-27 11:46:58 UTC
Created attachment 221959 [details]
serd.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.2, amd64 tested)
Comment 1 Automation User 2021-01-27 14:33:35 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/247505459
Comment 2 commit-hook freebsd_committer 2021-01-28 20:12:16 UTC
A commit references this bug:

Author: rhurlin
Date: Thu Jan 28 20:11:49 UTC 2021
New revision: 563154
URL: https://svnweb.freebsd.org/changeset/ports/563154

Log:
  devel/serd: Update to 0.30.10

  Changelog [1]:

  * Add fallback configuration if documentation theme is unavailable
  * Fix SERD_DISABLE_DEPRECATED
  * Fix building for older MacOS versions on newer MacOS
  * Fix documentation installation directory

  Patches under files/ now upstream and not needed any more [2]

  [1] https://github.com/drobilla/serd/blob/master/NEWS
  [2] https://github.com/drobilla/serd/compare/v0.30.8...v0.30.10

  PR:		253042
  Submitted by:	Goran Mekic <meka@tilda.center> (maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28404

Changes:
  head/devel/serd/Makefile
  head/devel/serd/distinfo
  head/devel/serd/files/
Comment 3 Rainer Hurling freebsd_committer 2021-01-29 06:00:03 UTC
Committed, thanks :)